%define _unpackaged_files_terminate_build 1

%define theme_name abstraction
%define theme_fullname lxde-settings-%theme_name

Name: %theme_fullname
Version: 0.2
Release: alt0.M51.6
Packager: Radik Usupov <radik@altlinux.org>
Summary: Provides configuration for ALT Linux LXDE Remix
Provides: lxde-settings
Group: Graphical desktop/Other
License: %gpl2plus
BuildArch: noarch
BuildPreReq: rpm-build-licenses

## components used in this theme
Requires: fonts-ttf-dejavu
Requires: gnome-icon-theme-oxygen-refit2-blue-version
Requires: gtk2-theme-simplicity
Requires: x-cursor-theme-Vanilla-DMZ-AA
Requires: sakura librsvg
Requires: lxde-common tray_eject_plus

Source: lxde.tar.bz2

%description
Default graphics theme for ALT Linux LXDE Remix

%install
mkdir -p %buildroot/%_datadir
tar xvf %SOURCE0 -C %buildroot/%_datadir
mv %buildroot/%_datadir/lxde %buildroot/%_datadir/%theme_fullname

mkdir -p %buildroot/etc/alternatives/packages.d/
cat > %buildroot/etc/alternatives/packages.d/%theme_fullname << __EOF__
%_datadir/lxde %_datadir/%theme_fullname 10
__EOF__

%post
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
echo "@tray_eject_plus" >> "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
rm -f "$TMPFILE"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
	if [ -f "$DESKDIR"/"$dfile".desktop ]
	then
		echo "Hidden=true" >> "$DESKDIR"/"$dfile".desktop
	else
		echo "Warning: $DESKDIR/$dfile.desktop not exist"
	fi
done

%postun
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
	if [ -f "$DESKDIR"/"$dfile".desktop ]
	then
		grep -v "Hidden=true" "$DESKDIR"/"$dfile".desktop > "$TMPFILE"
		cat "$TMPFILE" > "$DESKDIR"/"$dfile".desktop
	fi
done
rm -f "$TMPFILE"

%files 
%config /etc/alternatives/packages.d/%theme_fullname
%_datadir/%theme_fullname

%changelog
* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.2-alt0.M51.6
- Build from branch 5.1

* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.2-alt6
- Changes font requires

* Wed Jan 12 2011 Radik Usupov <radik@altlinux.org> 0.2-alt5
- Added requires
- Added apps configs
- Changes fonts
- Changes lxpanel default config
- Changes summary

* Fri Dec 24 2010 Radik Usupov <radik@altlinux.org> 0.2-alt4
- Added libfm.conf (closes: 24595)

* Mon Nov 15 2010 Radik Usupov <radik@altlinux.org> 0.2-alt3
- Hide from menus: uxterm xterm xkill: unneeded in LXDE Remix (thanks snejok@)
- Adding tray_eject_plus to autostart (thanks snejok@)

* Mon Nov 08 2010 Radik Usupov <radik@altlinux.org> 0.2-alt1
- Fix icon theme
- Added cursor theme in .config
- Package is now noarch

* Thu Jun 10 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1
- Initial build to ALTLinux

